# CUpti_ModuleResourceData Struct Reference
[CUPTI Callback API]

Module data passed into a resource callback function. More...

## Data Fields
size_t | cubinSize
uint32_t | moduleId
const char * | pCubin

## Detailed Description

CUDA module data passed into a resource callback function as the `cbdata` argument to CUpti_CallbackFunc. The `cbdata` will be this type for `domain` equal to CUPTI_CB_DOMAIN_RESOURCE. The module data is valid only within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of that data.

## Field Documentation

size_t CUpti_ModuleResourceData::cubinSize

The size of the cubin.

uint32_t CUpti_ModuleResourceData::moduleId

Identifier to associate with the CUDA module.

const char* CUpti_ModuleResourceData::pCubin

Pointer to the associated cubin.